सामग्री पर जाएँ

Ffmpeg Api Images to Video

इंटीग्रेट करें

मॉडल id ffmpeg-api/images-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ffmpeg-api/images-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "images": [
      {
        "url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
        "frames": 1
      }
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: ≈$0.005 5 API क्रेडिट इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Utility इमेज से वीडियो #utility#editing

अधिकतम 200 छवियों की क्रमबद्ध सूची को चुनी गई फ़्रेम दर पर MP4 स्लाइडशो वीडियो में बदलता है

Utility · वीडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक

वीडियो के लिए इमेज का प्लेबैक क्रम, जिसमें प्रत्येक इमेज की निर्धारित फ़्रेम संख्या यह तय करती है कि अगली इमेज पर कट होने से पहले वह कितनी देर दिखाई देगी।

उन्नत fps
डिफ़ॉल्ट 24

आउटपुट वीडियो की फ़्रेम दर, फ़्रेम प्रति सेकंड में मापी गई।

POST /run/ffmpeg-api/images-to-video?wait=20 कोटेशन → $0.005
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ffmpeg-api/images-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "images": [
      {
        "url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
        "frames": 1
      }
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Ffmpeg Api Images to Video के बारे में

यह एक प्रोसेसिंग टूल है जो छवियों की क्रमबद्ध सूची को MP4 में बदलता है। `images` में 1 से 200 प्रविष्टियाँ ली जाती हैं, और अगली छवि पर जाने से पहले प्रत्येक छवि को उसके निर्दिष्ट फ़्रेम की संख्या तक दिखाया जाता है। `fps` आउटपुट फ़्रेम दर को 1 से 120 तक सेट करता है; डिफ़ॉल्ट 24 है। इसमें कोई जनरेशन शामिल नहीं है।

पैरामीटर

नामप्रकार डिफ़ॉल्टअनुमत विवरण
imagesआवश्यक
प्रकारobject[]
≤ 200 आइटम
वीडियो के लिए इमेज का प्लेबैक क्रम, जिसमें प्रत्येक इमेज की निर्धारित फ़्रेम संख्या यह तय करती है कि अगली इमेज पर कट होने से पहले वह कितनी देर दिखाई देगी।
images[].urlआवश्यक
प्रकारstring
इमेज फ़ाइल तक पहुँच प्रदान करने वाला URL।
images[].framesआवश्यक
प्रकारinteger
1 – 1,000
आउटपुट फ़्रेम में इमेज के दिखाई देने की अवधि, स्क्रीन पर `frames / fps` सेकंड के बराबर।
fpsवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट24
1 – 120
आउटपुट वीडियो की फ़्रेम दर, फ़्रेम प्रति सेकंड में मापी गई।
आवश्यक

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ffmpeg-api/images-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 5,
    "usd": "0.005",
    "charged": 5,
    "refunded": 0
  },
  "input": {
    "images": [
      {
        "url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
        "frames": 1
      }
    ]
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
video
object {url, content_type, file_name, file_size}MP4 फ़ॉर्मेट में निर्मित वीडियो।

और मॉडल: इमेज से वीडियो

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/ffmpeg-api/images-to-video.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt